Bug 247658 - www/py-django-extensions: Update to 3.0.2
Summary: www/py-django-extensions: Update to 3.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/django-extensions/...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-06-30 09:31 UTC by Kevin Golding
Modified: 2020-07-05 12:47 UTC (History)
2 users (show)

See Also:


Attachments
Updating www/py-django-extensions to 3.0.1 (1.41 KB, patch)
2020-06-30 09:31 UTC, Kevin Golding
ports: maintainer-approval+
Details | Diff
Update to 3.0.2 (1.41 KB, patch)
2020-07-02 17:18 UTC, Kevin Golding
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Golding 2020-06-30 09:31:02 UTC
Created attachment 216067 [details]
Updating www/py-django-extensions to 3.0.1

Updating www/py-django-extensions to 3.0.1

Changes: https://github.com/django-extensions/django-extensions/blob/70964497a11b4320f5e585364dfe452310e301e3/CHANGELOG.md

poudriere: OK
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-30 09:49:48 UTC
^Triage: maintainer-feedback (+) not required unless set (to ?) first.

@Kai Per 3.0.0 update:

This is the first Django Extensions release which only targets Django 2.2 and above. It drops official support for Python 2.7.

Do you want to take this?
Comment 2 Automation User 2020-06-30 09:56:06 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/161511101
Comment 3 Kevin Golding 2020-07-02 17:18:29 UTC
Created attachment 216147 [details]
Update to 3.0.2

Changes: https://github.com/django-extensions/django-extensions/blob/98cd1135701e3e17d7d2984f2e555362f88bb5db/CHANGELOG.md

Fixes shell_plus settings
Comment 4 Kai Knoblich freebsd_committer 2020-07-05 12:38:20 UTC
Comment on attachment 216147 [details]
Update to 3.0.2

^ Triage: Set maintainer-approval flag to '+' because the patch was submitted by the maintainer himself and is intended as an update of the previous patch.
Comment 5 commit-hook freebsd_committer 2020-07-05 12:40:14 UTC
A commit references this bug:

Author: kai
Date: Sun Jul  5 12:39:24 UTC 2020
New revision: 541276
URL: https://svnweb.freebsd.org/changeset/ports/541276

Log:
  www/py-django-extensions: Update to 3.0.2

  * Remove no longer required CONFLICTS_INSTALL entry while I'm here.

  Changelog:

  https://github.com/django-extensions/django-extensions/blob/3.0.2/CHANGELOG.md

  PR:		247658
  Submitted by:	Kevin Golding <ports@caomhin.org> (maintainer)

Changes:
  head/www/py-django-extensions/Makefile
  head/www/py-django-extensions/distinfo
Comment 6 Kai Knoblich freebsd_committer 2020-07-05 12:47:06 UTC
(In reply to Kevin Golding from comment #3)

Committed, thank you for the patch!

I did a minor changes for the RUN_DEPENDS by documenting the minimum required version of Django which is now at 2.2+ as given by the Trove classifiers.